﻿<?xml version="1.0" encoding="utf-8"?>
<!--
  For more information on how to configure your ASP.NET application, please visit leave the mouse now do finish the r
  https://go.microsoft.com/fwlink/?LinkId=301880
  -->
<configuration>
  <configSections>
    <section name="nlog" type="NLog.Config.ConfigSectionHandler, NLog" />
    <!-- For more information on Entity Framework configuration, visit http://go.microsoft.com/fwlink/?LinkID=237468 -->
    <section name="entityFramework" type="System.Data.Entity.Internal.ConfigFile.EntityFrameworkSection, EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
  </configSections>
  <nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <targets>
      <target name="default" xsi:type="File" fileName="logs/OpRisk-app-log.log" archiveFileName="logs/archives/OpRisk-app-log.{#}.log" archiveEvery="Day" archiveNumbering="Rolling" maxArchiveFiles="7" />
    </targets>
    <rules>
      <logger name="*" writeTo="default" />
    </rules>
  </nlog>
  <connectionStrings>
    <!--<add name="OperationalRiskContext" connectionString="data source=OYEKUNLEOYEWUSI\MSSQL2016;Database=OperationalRiskTestDB; uid=sa; pwd=Password7$; multipleactiveresultsets=True;App=EntityFramework" providerName="System.Data.SqlClient" />-->
    <!--<add name="OperationalRiskBCPContext" connectionString="data source=CHUKWUEBUKAAFOA;Database=OperationalRiskTestBcpDB; Integrated Security=true;  multipleactiveresultsets=True;App=EntityFramework" providerName="System.Data.SqlClient" /> -->

    <!-- <add name="OperationalRiskBCPContext" connectionString="data source=10.100.5.195;initial catalog=OperationalRiskTestBcpDB;persist security info=True;user id=sa;password=w3bp@55w0rd;multipleactiveresultsets=True;App=EntityFramework" providerName="System.Data.SqlClient" />  -->
    <!-- <add name="HRDBContext" connectionString="data source=10.100.14.230;initial catalog=Approval;persist security info=True;user id=approvaluser;password=approvaluser123;multipleactiveresultsets=True;App=EntityFramework" providerName="System.Data.SqlClient" /> -->
   <!-- <add name="HRDBContext" connectionString="data source=10.100.67.245;initial catalog=Approval;persist security info=True;user id=appuser;password=appuser1234;multipleactiveresultsets=True;App=EntityFramework" providerName="System.Data.SqlClient" /> -->
     <add name="HRDBContext" connectionString="Data Source=10.100.5.195;Initial Catalog=Approval;Persist Security Info=True;User ID=sa;Password=w3bp@55w0rd" providerName="System.Data.SqlClient" /> 
 <add name="OperationalRiskBCPContext" connectionString="data source=10.100.66.216;initial catalog=OperationalRiskBCP;persist security info=True;user id=automation;password=Automation123;multipleactiveresultsets=True;App=EntityFramework" providerName="System.Data.SqlClient" />
   <add name="StaffHR_Details_ConnectionString" connectionString="Data Source=10.100.5.195;Initial Catalog=Approval;Persist Security Info=True;User ID=sa;Password=w3bp@55w0rd" providerName="System.Data.SqlClient" />
  </connectionStrings>
  <appSettings>

    <add key="templatePath" value="~/EmailTemplate/emailNotification.html" />
    <add key="templatePath2" value="~/EmailTemplate/emailException.html" />
    <add key="approvalTemplate" value="~/EmailTemplate/emailApproval.html" />
    <add key="rejectionTemplate" value="~/EmailTemplate/emailRejection.html" />
    <add key="instantmailTemplate" value="~/EmailTemplate/emailNotification.html" />
    <add key="ProcedureDepartments" value="sp_DepartmentListFiltering" />
    <add key="filepath" value="/Doc/" />
    <add key="sp_Division" value="sp_DivisionFiltering" />
    <!-- <add key="DomainName" value="http://localhost:52699/" /> -->
    <add key="DomainName" value="https://apps-automation.ubagroup.com/bcp/" />

    <!--<add key="DomainName" value="https://apps-automation.ubagroup.com/operationalrisk/" />-->
    <!--  <add key="ProcedureDepartments" value="sp_GetAllStaffsByDivision" /> -->
    <!-- [sp_GetAllStaffsByDivision] -->
    <add key="sender" value="no-reply@ubagroup.com" />
    <add key="optRisk" value="opriskmgtteam@ubagroup.com" />

    <add key="CC" value="opriskmgtteam@ubagroup.com" />
    <!--  <add key="ProcedureALLSTAFFS" value="sp_GetAllStaffsInUBA" /> -->
    <add key="ProcedureALLSTAFFS" value="sp_GetAllStaffsByDivision" />
    <add key="Sp_DashboardRecord" value="Sp_DashboardRecord" />

    <add key="ProcedureUserDetails" value="sp_GetStaffDetails" />
    <add key="ProcedureALLSTAFFSByDivision" value="sp_GetAllStaffsByDivision" />
    <add key="FormsServiceAPIBaseURL" value="http://10.100.5.195/FormsServiceAPI/" />
    <!--<add key="validateuseronAD" value="http://10.100.5.195/FormsServiceAPI/api/AD/AuthenticateUser" />-->
    <add key="validateuseronAD" value="https://paperless.ubagroup.com/ad.service/api/AD/AuthenticateUser" />
    <!--<add key="SearchUseronAD" value="http://10.100.5.195/GetSupervisor/odata/HrStaffSupervisors('{samName}')/" />-->
    <add key="SearchUseronAD" value="http://paperless.ubagroup.com/hr.service/odata/HrStaffSupervisors('{samName}')/" />

    <add key="tokenUser" value="uchenna.nnamani" />
    <add key="usetokenUser" value="true" />
    <add key="ByPassToken" value="false" />
    <add key="Token_Islive" value="true" />
    <add key="IsDebug" value="false" />
    <add key="Token_ENDPOINT" value="https://apps-automation.ubagroup.com/entrust-svc-v1/Service.svc" />

    <add key="Token_UserGroup" value="" />
    <add key="baseURL" value="https://apps-automation.ubagroup.com/operationalrisk" />
    <add key="sessionTimeout" value="300" />
    <add key="webpages:Version" value="3.0.0.0" />
    <add key="webpages:Enabled" value="false" />
    <add key="ClientValidationEnabled" value="true" />
    <add key="UnobtrusiveJavaScriptEnabled" value="true" />
  </appSettings>

  <!-- <system.webServer>
    <rewrite>
      <rules>
        <clear />
        <rule name="Redirect to https" stopProcessing="true">
          <match url=".*" />
          <conditions>
            <add input="{HTTPS}" pattern="off" ignoreCase="true" />
          </conditions>
          <action type="Redirect" url="https://{HTTP_HOST}{REQUEST_URI}" redirectType="Permanent" appendQueryString="false" />
        </rule>
      </rules>
    </rewrite>
  </system.webServer> -->
  
  
    

  <system.web>
    <compilation debug="true" targetFramework="4.6.1" />
    <httpRuntime targetFramework="4.6.1" />

    <!--This is used when adding authentication for login credentials-->
    <!-- <authentication mode="Forms">
      <forms loginUrl="/login" defaultUrl="/" />
    </authentication> -->

  </system.web>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Antlr3.Runtime" publicKeyToken="eb42632606e9261f" />
        <bindingRedirect oldVersion="0.0.0.0-3.5.0.2" newVersion="3.5.0.2" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" />
        <bindingRedirect oldVersion="0.0.0.0-12.0.0.0" newVersion="12.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Optimization" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-1.1.0.0" newVersion="1.1.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="WebGrease" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-1.6.5135.21930" newVersion="1.6.5135.21930" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.IO.Compression" publicKeyToken="b77a5c561934e089" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.1.2.0" newVersion="4.1.2.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Helpers" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.WebPages" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Mvc" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-5.2.4.0" newVersion="5.2.4.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <entityFramework>
    <providers>
      <provider invariantName="System.Data.SqlClient" type="System.Data.Entity.SqlServer.SqlProviderServices, EntityFramework.SqlServer" />
    </providers>
  </entityFramework>
  <system.codedom>
    <compilers>
      <compiler language="c#;cs;csharp" extension=".cs" type="Microsoft.CodeDom.Providers.DotNetCompilerPlatform.CSharpCodeProvider, Microsoft.CodeDom.Providers.DotNetCompilerPlatform, Version=2.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" warningLevel="4" compilerOptions="/langversion:default /nowarn:1659;1699;1701" />
      <compiler language="vb;vbs;visualbasic;vbscript" extension=".vb" type="Microsoft.CodeDom.Providers.DotNetCompilerPlatform.VBCodeProvider, Microsoft.CodeDom.Providers.DotNetCompilerPlatform, Version=2.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" warningLevel="4" compilerOptions="/langversion:default /nowarn:41008 /define:_MYTYPE=\&quot;Web\&quot; /optionInfer+" />
    </compilers>
  </system.codedom>
</configuration>
